Bug 1250638 - [abrt] Crash under captured_event_cb at gtkscrolledwindow.c:1152
[abrt] Crash under captured_event_cb at gtkscrolledwindow.c:1152
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
22
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e45e81831fd7606f5d46469effb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 11:51 EDT by Matthew Costello
Modified: 2016-07-19 13:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:22:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (57.49 KB, text/plain)
2015-08-05 11:51 EDT, Matthew Costello
no flags Details
File: cgroup (177 bytes, text/plain)
2015-08-05 11:51 EDT, Matthew Costello
no flags Details
File: core_backtrace (3.64 KB, text/plain)
2015-08-05 11:51 EDT, Matthew Costello
no flags Details
File: dso_list (25.77 KB, text/plain)
2015-08-05 11:51 EDT, Matthew Costello
no flags Details
File: environ (1.66 KB, text/plain)
2015-08-05 11:51 EDT, Matthew Costello
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-05 11:51 EDT, Matthew Costello
no flags Details
File: maps (80.07 KB, text/plain)
2015-08-05 11:51 EDT, Matthew Costello
no flags Details
File: mountinfo (3.25 KB, text/plain)
2015-08-05 11:51 EDT, Matthew Costello
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-05 11:51 EDT, Matthew Costello
no flags Details
File: open_fds (3.26 KB, text/plain)
2015-08-05 11:51 EDT, Matthew Costello
no flags Details
File: proc_pid_status (816 bytes, text/plain)
2015-08-05 11:51 EDT, Matthew Costello
no flags Details
File: var_log_messages (307 bytes, text/plain)
2015-08-05 11:51 EDT, Matthew Costello
no flags Details

  None (edit)
Description Matthew Costello 2015-08-05 11:51:14 EDT
Description of problem:
Laptop had just come out of sleep. I had just clicked on the title banner to bring Evolution into the foreground.

I expect the mail server had timed out the IMAP TCP connection which the local evolution side had not. My guess is that Evolution was unable to handle the dropped tcp connection.

Version-Release number of selected component:
evolution-3.16.4-2.fc22

Additional info:
reporter:       libreport-2.6.1
backtrace_rating: 4
cmdline:        evolution
crash_function: strstr
executable:     /usr/bin/evolution
global_pid:     7218
kernel:         4.0.8-300.fc22.i686
runlevel:       N 5
type:           CCpp
uid:            2100

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 strstr at strstr.c:63
 #1 captured_event_cb at gtkscrolledwindow.c:1152
 #2 _gtk_widget_captured_event at gtkwidget.c:7482
 #3 propagate_event_down at gtkmain.c:2472
 #4 propagate_event at gtkmain.c:2520
 #5 _gtk_propagate_captured_event at gtkmain.c:2563
 #6 gtk_main_do_event at gtkmain.c:1750
 #7 _gdk_event_emit at gdkevents.c:69
 #13 gtk_main at gtkmain.c:1219
Comment 1 Matthew Costello 2015-08-05 11:51:17 EDT
Created attachment 1059542 [details]
File: backtrace
Comment 2 Matthew Costello 2015-08-05 11:51:18 EDT
Created attachment 1059543 [details]
File: cgroup
Comment 3 Matthew Costello 2015-08-05 11:51:19 EDT
Created attachment 1059544 [details]
File: core_backtrace
Comment 4 Matthew Costello 2015-08-05 11:51:20 EDT
Created attachment 1059545 [details]
File: dso_list
Comment 5 Matthew Costello 2015-08-05 11:51:20 EDT
Created attachment 1059546 [details]
File: environ
Comment 6 Matthew Costello 2015-08-05 11:51:21 EDT
Created attachment 1059547 [details]
File: limits
Comment 7 Matthew Costello 2015-08-05 11:51:23 EDT
Created attachment 1059548 [details]
File: maps
Comment 8 Matthew Costello 2015-08-05 11:51:23 EDT
Created attachment 1059549 [details]
File: mountinfo
Comment 9 Matthew Costello 2015-08-05 11:51:24 EDT
Created attachment 1059550 [details]
File: namespaces
Comment 10 Matthew Costello 2015-08-05 11:51:24 EDT
Created attachment 1059551 [details]
File: open_fds
Comment 11 Matthew Costello 2015-08-05 11:51:25 EDT
Created attachment 1059552 [details]
File: proc_pid_status
Comment 12 Matthew Costello 2015-08-05 11:51:26 EDT
Created attachment 1059553 [details]
File: var_log_messages
Comment 13 Milan Crha 2015-08-06 05:00:16 EDT
Thanks for a bug report. The backtrace shows the crash in the gtk+ code, when processing a mouse click (or some such mouse event). There is almost none code related to the evolution (the only is the main() function), thus I move this to the gtk3 package.

The only evolution involvement would be in case of some kind of a memory corruption, like some part of the code accessing already freed memory, but it doesn't seem to be the case here, at least on the first look.
Comment 14 Fedora End Of Life 2016-07-19 13:22:13 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.